## sw-item

sw-item

## Functions

void | sw_item_unref ()
SwItem * | sw_item_ref ()
void | sw_item_free ()
SwItem * | sw_item_new ()
gboolean | sw_item_is_from_cache ()
gboolean | sw_item_has_key ()
const gchar * | sw_item_get_value ()
GType | sw_item_get_type ()

## Types and Values

#define | SW_TYPE_ITEM
| SwItem

## Object Hierarchy

        GBoxed
        ╰── SwItem

## Description

## Functions

### sw_item_unref ()

    void
    sw_item_unref (SwItem *item);

### sw_item_ref ()

    SwItem *
    sw_item_ref (SwItem *item);

### sw_item_free ()

    void
    sw_item_free (SwItem *item);

### sw_item_new ()

    SwItem *
    sw_item_new (void);

### sw_item_is_from_cache ()

    gboolean
    sw_item_is_from_cache (SwItem *item);

### sw_item_has_key ()

    gboolean
    sw_item_has_key (SwItem *item,
                     const gchar *key);

### sw_item_get_value ()

    const gchar *
    sw_item_get_value (SwItem *item,
                       const gchar *key);

### sw_item_get_type ()

    GType
    sw_item_get_type (void);

## Types and Values

### SW_TYPE_ITEM

    #define SW_TYPE_ITEM (sw_item_get_type())

### SwItem

    typedef struct {
      volatile gint refcount;
      gchar *service;
      gchar *uuid;
      GTimeVal date;
      GHashTable *props;
    } SwItem;

#### Members

volatile gint `refcount`; |  |
gchar *`service`; |  |
gchar *`uuid`; |  |
GTimeVal `date`; |  |
GHashTable *`props`; | . | [element-type gchar* gchar*]